# GESClipAsset

The GESUriClipAsset is a special GESAsset specilized in GESClip. it is mostly used to get information about the GESTrackType-s the objects extracted from it can potentialy create GESTrackElement for.

## GESClipAsset

    GObject
        ╰──GESAsset
            ╰──GESClipAsset
                ╰──GESSourceClipAsset

### Members

`parent` (GESAsset) –
No description available

### Class structure

#### GESClipAssetClass

##### Fields

`parent` (GESAssetClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.ClipAssetClass

##### Attributes

`parent` (GES.AssetClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.ClipAssetClass

##### Attributes

`parent` (GES.AssetClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.ClipAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.ClipAsset
                ╰──GES.SourceClipAsset

### Members

`parent` (GES.Asset) –
No description available

## GES.ClipAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.ClipAsset
                ╰──GES.SourceClipAsset

### Members

`parent` (GES.Asset) –
No description available

### Methods

#### ges_clip_asset_get_frame_time

    GstClockTime
    ges_clip_asset_get_frame_time (GESClipAsset * self,
                                   GESFrameNumber frame_number)

Converts the given frame number into a timestamp, using the "natural" frame rate of the asset.

You can use this to reference a specific frame in a media file and use this as, for example, the `in-point` or `max-duration` of a GESClip.

Parameters:

`self` –

The object for which to compute timestamp for specifed frame

`frame_number` –

The frame number we want the internal time coordinate timestamp of

Returns –

The timestamp corresponding to frame_number in the element source, given in internal time coordinates, or GST_CLOCK_TIME_NONE if the clip asset does not have a natural frame rate.

Since : 1.18

#### GES.ClipAsset.prototype.get_frame_time

    function GES.ClipAsset.prototype.get_frame_time(frame_number: Number): {
        // javascript wrapper for 'ges_clip_asset_get_frame_time'
    }

Converts the given frame number into a timestamp, using the "natural" frame rate of the asset.

You can use this to reference a specific frame in a media file and use this as, for example, the `in-point` or `max-duration` of a GES.Clip.

Parameters:

`self` (GES.ClipAsset) –

The object for which to compute timestamp for specifed frame

`frame_number` (Number) –

The frame number we want the internal time coordinate timestamp of

Returns (Number) –

The timestamp corresponding to frame_number in the element source, given in internal time coordinates, or Gst.CLOCK_TIME_NONE if the clip asset does not have a natural frame rate.

Since : 1.18

#### GES.ClipAsset.get_frame_time

    def GES.ClipAsset.get_frame_time (self, frame_number):
        #python wrapper for 'ges_clip_asset_get_frame_time'

Converts the given frame number into a timestamp, using the "natural" frame rate of the asset.

You can use this to reference a specific frame in a media file and use this as, for example, the `in-point` or `max-duration` of a GES.Clip.

Parameters:

`self` (GES.ClipAsset) –

The object for which to compute timestamp for specifed frame

`frame_number` (int) –

The frame number we want the internal time coordinate timestamp of

Returns (int) –

The timestamp corresponding to frame_number in the element source, given in internal time coordinates, or Gst.CLOCK_TIME_NONE if the clip asset does not have a natural frame rate.

Since : 1.18

#### ges_clip_asset_get_natural_framerate

    gboolean
    ges_clip_asset_get_natural_framerate (GESClipAsset * self,
                                          gint * framerate_n,
                                          gint * framerate_d)

Result: TRUE if self has a natural framerate FALSE otherwise

Parameters:

`self` –

The object from which to retrieve the natural framerate

`framerate_n` ( [out]) –

The framerate numerator

`framerate_d` ( [out]) –

The framerate denominator

Returns –
No description available

Since : 1.18

#### GES.ClipAsset.prototype.get_natural_framerate

    function GES.ClipAsset.prototype.get_natural_framerate(): {
        // javascript wrapper for 'ges_clip_asset_get_natural_framerate'
    }

Result: true if self has a natural framerate false otherwise

Parameters:

`self` (GES.ClipAsset) –

The object from which to retrieve the natural framerate

Returns a tuple made of:

(Number ) –
No description available
`framerate_n` (Number ) –
No description available
`framerate_d` (Number ) –
No description available

Since : 1.18

#### GES.ClipAsset.get_natural_framerate

    def GES.ClipAsset.get_natural_framerate (self):
        #python wrapper for 'ges_clip_asset_get_natural_framerate'

Result: True if self has a natural framerate False otherwise

Parameters:

`self` (GES.ClipAsset) –

The object from which to retrieve the natural framerate

Returns a tuple made of:

(bool ) –
No description available
`framerate_n` (int ) –
No description available
`framerate_d` (int ) –
No description available

Since : 1.18

#### ges_clip_asset_get_supported_formats

    GESTrackType
    ges_clip_asset_get_supported_formats (GESClipAsset * self)

Gets track types for which objects extracted from self can create GESTrackElement

Parameters:

`self` –

a GESClipAsset

Returns –

The track types on which self will create TrackElement when added to a layer

#### GES.ClipAsset.prototype.get_supported_formats

    function GES.ClipAsset.prototype.get_supported_formats(): {
        // javascript wrapper for 'ges_clip_asset_get_supported_formats'
    }

Gets track types for which objects extracted from self can create GES.TrackElement

Parameters:

`self` (GES.ClipAsset) –

a GES.ClipAsset

Returns (GES.TrackType) –

The track types on which self will create TrackElement when added to a layer

#### GES.ClipAsset.get_supported_formats

    def GES.ClipAsset.get_supported_formats (self):
        #python wrapper for 'ges_clip_asset_get_supported_formats'

Gets track types for which objects extracted from self can create GES.TrackElement

Parameters:

`self` (GES.ClipAsset) –

a GES.ClipAsset

Returns (GES.TrackType) –

The track types on which self will create TrackElement when added to a layer

#### ges_clip_asset_set_supported_formats

    ges_clip_asset_set_supported_formats (GESClipAsset * self,
                                          GESTrackType supportedformats)

Sets track types for which objects extracted from self can create GESTrackElement

Parameters:

`self` –

a GESClipAsset

`supportedformats` –

The track types supported by the GESClipAsset

#### GES.ClipAsset.prototype.set_supported_formats

    function GES.ClipAsset.prototype.set_supported_formats(supportedformats: GES.TrackType): {
        // javascript wrapper for 'ges_clip_asset_set_supported_formats'
    }

Sets track types for which objects extracted from self can create GES.TrackElement

Parameters:

`self` (GES.ClipAsset) –

a GES.ClipAsset

`supportedformats` (GES.TrackType) –

The track types supported by the GESClipAsset

#### GES.ClipAsset.set_supported_formats

    def GES.ClipAsset.set_supported_formats (self, supportedformats):
        #python wrapper for 'ges_clip_asset_set_supported_formats'

Sets track types for which objects extracted from self can create GES.TrackElement

Parameters:

`self` (GES.ClipAsset) –

a GES.ClipAsset

`supportedformats` (GES.TrackType) –

The track types supported by the GESClipAsset

### Properties

#### supported-formats

    “supported-formats” GESTrackType *

The formats supported by the asset.

Flags : Read / Write / Construct

#### supported-formats

    “supported-formats” GES.TrackType

The formats supported by the asset.

Flags : Read / Write / Construct

#### supported_formats

    “self.props.supported_formats” GES.TrackType

The formats supported by the asset.

Flags : Read / Write / Construct

### Virtual Methods

#### get_natural_framerate

    gboolean
    get_natural_framerate (GESClipAsset * self,
                           gint * framerate_n,
                           gint * framerate_d)

Parameters:

`self` –

A GESClipAsset

`framerate_n` –

The framerate numerator to retrieve

`framerate_d` –

The framerate denominator to retrieve

Returns –

TRUE if self has a natural framerate FALSE otherwise.

Since : 1.18

#### vfunc_get_natural_framerate

    function vfunc_get_natural_framerate(self: GES.ClipAsset): {
        // javascript implementation of the 'get_natural_framerate' virtual method
    }

Parameters:

`self` (GES.ClipAsset) –

A GES.ClipAsset

Returns a tuple made of:

(Number ) –

true if self has a natural framerate FALSE otherwise.

`framerate_n` (Number ) –

true if self has a natural framerate FALSE otherwise.

`framerate_d` (Number ) –

true if self has a natural framerate FALSE otherwise.

Since : 1.18

#### do_get_natural_framerate

    def do_get_natural_framerate (self):
        #python implementation of the 'get_natural_framerate' virtual method

Parameters:

`self` (GES.ClipAsset) –

A GES.ClipAsset

Returns a tuple made of:

(bool ) –

True if self has a natural framerate FALSE otherwise.

`framerate_n` (int ) –

True if self has a natural framerate FALSE otherwise.

`framerate_d` (int ) –

True if self has a natural framerate FALSE otherwise.

Since : 1.18

The results of the search are